<?php
/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author Luzuk <support@luzuk.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = 0, $showStaticVals = false, $totalItems=0) {
    global $query;
    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    } else {
        $args['paged'] = max(1, get_query_var('paged'));
    }
    $args['posts_per_page'] = (!empty($args['posts_per_page'])) ? $args['posts_per_page'] : -1;
    $i = !empty($i) && is_numeric($i) ? $i : 0;
    $text = '';
    $query = new WP_Query($args);
    // print_r($query);
    if ($query->have_posts()):
        $cssCls = ($isCustomizer == false) ? 'col-md-12 col-sm-12' : 'col-sm-10 col-sm-offset-1';

        ob_start();

while ($query->have_posts()) : $query->the_post();
        $testimonial_area_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-testimonial-thumb');
        if ($isCustomizer === true) {
            $testimonial_area_designation = get_theme_mod('testimonial_area_designation' . $i);
            $testimonial_area_facebook = get_theme_mod('testimonial_area_facebook' . $i);
            $test_date = get_theme_mod('test_date' . $i);
        } else {
            $testimonial_area_facebook = '';
            $testimonial_area_designation = '';
             $test_date = '';
        }

        $post = get_post();
            //Social media urls
        $testimonialsFacebook = get_post_meta($post->ID, 'testimonialsFacebook', false);
        $testimonial_area_facebook = !empty($testimonialsFacebook[0]) ? $testimonialsFacebook[0] : '';

            //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $testimonial_area_designation = !empty($designation[0]) ? $designation[0] : '';
        $designationdate = get_post_meta($post->ID, 'designationdate', false);
        $test_date = !empty($designationdate[0]) ? $designationdate[0] : '';


           // echo"(($i == 0) || ($i%2)==0)".__LINE__;
            if(($i == 0) || ($i%2)==0){
                ?>
                <div class=" <?php if ($i == 0) { ?>active<?php } ?>">
                    <div class="row">
                        <?php
                    }
                    ?>

                    <div class="col-md-6 inner-ts-w"> 
                       <div class="ts-area-single wow zoomIn col-md-12 col-sm-12 col-xs-12">
                         
                        <div class="ts-area-c section-area-text wow fadeInUp"> 
                        <i class="fa fa-quote-left" aria-hidden="true"></i>  
                            <p> <?php
                                if (has_excerpt()) {
                                    echo get_the_excerpt();
                                } else {
                                    echo get_the_content();
                                }
                                ?>   
                            </p> 
                          
                        </div> 
                        <div class="col-md-2 col-sm-2 col-xs-3 pd-0">
                            <div class="ts-area-thumb wow zoomIn">
                                <img src="<?php echo (!empty($testimonial_area_image[0])) ? $testimonial_area_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                                  <?php if ($testimonial_area_facebook ) { ?>
                               <div class="ts-social">
                                <?php if ($testimonial_area_facebook) { ?>
                                    <a target="_blank" href="<?php echo esc_url($testimonial_area_facebook) ?>">
                                    <i class="fa fa-facebook"></i></a>
                                <?php } ?>

                               </div>
                               <?php } ?> 
                          </div>
                        </div>
                         <div class="col-md-10 col-sm-10 col-xs-9">
                            <div class="pd-0 ts-area-bx">
                              <h6 class="ts-area-title wow fadeInRight"><?php the_title(); ?></h6>
                            
                                <div class="ts-area-desg">
                                  <span><?php echo ($testimonial_area_designation); ?></span>
                                  <div class="ts-desg-border"></div>
                                </div>
                                 <?php if (!empty($test_date)) { ?>
                                  <div class="tsarea-date">
                                    <?php echo ($test_date); ?>
                                  </div>
                                <?php } ?>
                            </div>
                           
                         </div>

                      
                        
                        <div class="clearfix"></div>
                      </div>
                     
                     

                      </div>



        <?php
            //echo"\n($i+1)%2 == 0 || $totalItems == ($i+1)";
        if(($i+1)%2 == 0 || $totalItems == ($i+1)){ ?>
        </div>
    </div>
    <?php
}
?>

<?php
endwhile;
$text = ob_get_contents();
ob_clean();
ob_end_flush();
endif;
wp_reset_postdata();
    // echo $text;
return $text;
}

add_shortcode('TESTIMONIALS', 'testimonialShortCode');

