<?php 
    $wp_customize->add_section(
        'bridegroom_area',
        array(
            'title' => __( 'Bride & Groom Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'bridegroom_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'bridegroom_area_disable',
            array(
                'settings'      => 'bridegroom_area_disable',
                'section'       => 'bridegroom_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'bridegroom', 'bridegroom_area', $color='#fff5f9', get_template_directory_uri().'/images/default-gray.png', 'img');

addColorPalatOption($wp_customize, 'bridegroom_area_sechighlightbgcolor', 'bridegroom_area', 'Section Highlight Background Color', '#fff');

lzCustomLable($wp_customize, 'bridegroomarea_padding', 'bridegroom_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'bridegroom_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bridegroom_areaTpadding',
    array(
        'settings'      => 'bridegroom_areaTpadding',
        'section'       => 'bridegroom_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'bridegroom_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bridegroom_areaBpadding',
    array(
        'settings'      => 'bridegroom_areaBpadding',
        'section'       => 'bridegroom_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'luzuk_bridegroom_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'luzuk_bridegroom_subtitle_heading',
        array(
            'settings'      => 'luzuk_bridegroom_subtitle_heading',
            'section'       => 'bridegroom_area',
            'label'         => __( 'Section Title', 'luzuk-premium' ),
        )
    )
);
$wp_customize->add_setting(
    'bridegroomsec_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Bride & Groom', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bridegroomsec_title',
    array(
        'settings'      => 'bridegroomsec_title',
        'section'       => 'bridegroom_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'bridegroomarea_title_color', 'bridegroom_area', 'Heading Color', '#ff80b0');

$wp_customize->add_setting(
    'bridegroomsec_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '“Two souls with but a single thought, two hearts that beat as one.”', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bridegroomsec_subtitle',
    array(
        'settings'      => 'bridegroomsec_subtitle',
        'section'       => 'bridegroom_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'bridegroomarea_subtitle_color', 'bridegroom_area', 'Sub Heading Color', '#343434');

lzCustomLable($wp_customize, 'bridegroomarea_bride', 'bridegroom_area', 'Bride Details:');

  $wp_customize->add_setting(
        'bride_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'bride_image_heading',
            array(
                'settings'      => 'bride_image_heading',
                'section'       => 'bridegroom_area',
                'label'         => __( 'Bride Image', 'luzuk-premium' ),
            )
        )
    );

      $wp_customize->add_setting(
        'bride_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'bride_image',
            array(
                'section' => 'bridegroom_area',
                'settings' => 'bride_image',
                'description' => __('Recommended Image Size: 604X598px', 'luzuk-premium')
            )
        )
    );

    /*for note text*/
$wp_customize->add_setting('bridegroom_area_lbl1', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'bridegroom_area_lbl1',
        array(
            'settings'      => 'bridegroom_area_lbl1',
            'section'       => 'bridegroom_area',
            'label'         => __( 'Note1:', 'Luzuk' ),    
            'description'   => __( 'Do not use any html tags on "Wish Label"  and "Designation Text" ', 'Luzuk' ),
        )
    )
);

/*for note text*/

      $wp_customize->add_setting(
        'bridewish_label',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Bride', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'bridewish_label',
        array(
            'settings'      => 'bridewish_label',
            'section'       => 'bridegroom_area',
            'type'          => 'text',
            'label'         => __( 'Bride Wish Label', 'luzuk-premium' )
        )
    );

     $wp_customize->add_setting(
        'bride_name',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Nikky Finndey', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'bride_name',
        array(
            'settings'      => 'bride_name',
            'section'       => 'bridegroom_area',
            'type'          => 'text',
            'label'         => __( 'Bride Name', 'luzuk-premium' )
        )
    );

     $wp_customize->add_setting(
        'brideparent_name',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Daughter of John’s Kevin  & lara kevin', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'brideparent_name',
        array(
            'settings'      => 'brideparent_name',
            'section'       => 'bridegroom_area',
            'type'          => 'textarea',
            'label'         => __( 'Bride Parent Name', 'luzuk-premium' )
        )
    );

    $wp_customize->add_setting(
        'bride_desg',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Engineer', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'bride_desg',
        array(
            'settings'      => 'bride_desg',
            'section'       => 'bridegroom_area',
            'type'          => 'text',
            'label'         => __( 'Bride Designation', 'luzuk-premium' )
        )
    );

    $wp_customize->add_setting(
        'bride_address',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '371/50 Los angels CA', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'bride_address',
        array(
            'settings'      => 'bride_address',
            'section'       => 'bridegroom_area',
            'type'          => 'textarea',
            'label'         => __( 'Bride Address', 'luzuk-premium' )
        )
    );

    $wp_customize->add_setting(
        'bride_about',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor siting amet, consectetur adipiscing elit, sed to do eiusmod tempor incididunt & ut labore et dolore magna aliqua. Quis ipsum suspendisse ', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'bride_about',
        array(
            'settings'      => 'bride_about',
            'section'       => 'bridegroom_area',
            'type'          => 'textarea',
            'label'         => __( 'About Bride', 'luzuk-premium' )
        )
    );


lzCustomLable($wp_customize, 'bride_btndisplay', 'bridegroom_area', ' Button Display & Text Setting:');

// to show & hide another button
$wp_customize->add_setting( 'bride_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'bride_button_display', array( 'label' => 'Button Display', 'section' => 'bridegroom_area', 'settings' => 'bride_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'bride_abtbtntitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read more' )
    )
);
$wp_customize->add_control(
    'bride_abtbtntitle',
    array(
        'settings'      => 'bride_abtbtntitle',
        'section'       => 'bridegroom_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('bride_abtbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('bride_abtbtnlink',
    array(
        'settings'      => 'bride_abtbtnlink',
        'section'       => 'bridegroom_area',
        'type'          => 'url',
        'label'         => __( 'Add link here', 'luzuk-premium' )
    )
);
lzCustomLable($wp_customize, 'bride_Social_label', 'bridegroom_area', 'Social Media Setting:');


// TWITTER
$wp_customize->add_setting('bride_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('bride_twitter',
    array(
        'settings'      => 'bride_twitter',
        'section'       => 'bridegroom_area',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'Luzuk' )
    )
);
// Instagram
$wp_customize->add_setting('bride_instagram', array('default' => 'https://www.instagram.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('bride_instagram',
    array(
        'settings'      => 'bride_instagram',
        'section'       => 'bridegroom_area',
        'type'          => 'url',
        'label'         => __( 'Instagram', 'Luzuk' )
    )
);
// FACEBOOK 
$wp_customize->add_setting('bride_facebook',  array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('bride_facebook',
    array(
        'settings'      => 'bride_facebook',
        'section'       => 'bridegroom_area',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'Luzuk' )
    )
);


lzCustomLable($wp_customize, 'groomgroomarea_bride', 'bridegroom_area', 'Groom Details:');

  $wp_customize->add_setting(
        'groom_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'groom_image_heading',
            array(
                'settings'      => 'groom_image_heading',
                'section'       => 'bridegroom_area',
                'label'         => __( 'Groom Image', 'luzuk-premium' ),
            )
        )
    );

      $wp_customize->add_setting(
        'groom_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'groom_image',
            array(
                'section' => 'bridegroom_area',
                'settings' => 'groom_image',
                'description' => __('Recommended Image Size: 604X598px', 'luzuk-premium')
            )
        )
    );

      $wp_customize->add_setting(
        'groomwish_label',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Groom', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'groomwish_label',
        array(
            'settings'      => 'groomwish_label',
            'section'       => 'bridegroom_area',
            'type'          => 'text',
            'label'         => __( 'Groom Wish Label', 'luzuk-premium' )
        )
    );

     $wp_customize->add_setting(
        'groom_name',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Neal Marker', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'groom_name',
        array(
            'settings'      => 'groom_name',
            'section'       => 'bridegroom_area',
            'type'          => 'text',
            'label'         => __( 'Groom Name', 'luzuk-premium' )
        )
    );

     $wp_customize->add_setting(
        'groomparent_name',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Son of David Son Villegas & Bamba Villegas', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'groomparent_name',
        array(
            'settings'      => 'groomparent_name',
            'section'       => 'bridegroom_area',
            'type'          => 'textarea',
            'label'         => __( 'Groom Parent Name', 'luzuk-premium' )
        )
    );

    $wp_customize->add_setting(
        'groom_desg',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Journalist', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'groom_desg',
        array(
            'settings'      => 'groom_desg',
            'section'       => 'bridegroom_area',
            'type'          => 'text',
            'label'         => __( 'Groom Designation', 'luzuk-premium' )
        )
    );

    $wp_customize->add_setting(
        'groom_address',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '371/50 Los angels CA', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'groom_address',
        array(
            'settings'      => 'groom_address',
            'section'       => 'bridegroom_area',
            'type'          => 'textarea',
            'label'         => __( 'Groom Address', 'luzuk-premium' )
        )
    );

    $wp_customize->add_setting(
        'groom_about',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor siting amet, consectetur adipiscing elit, sed to do eiusmod tempor incididunt & ut labore et dolore magna aliqua. Quis ipsum suspendisse ', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'groom_about',
        array(
            'settings'      => 'groom_about',
            'section'       => 'bridegroom_area',
            'type'          => 'textarea',
            'label'         => __( 'About Groom', 'luzuk-premium' )
        )
    );


lzCustomLable($wp_customize, 'groom_btndisplay', 'bridegroom_area', ' Button Display & Text Setting:');

// to show & hide another button
$wp_customize->add_setting( 'groom_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'groom_button_display', array( 'label' => 'Button Display', 'section' => 'bridegroom_area', 'settings' => 'groom_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'groom_abtbtntitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read more' )
    )
);
$wp_customize->add_control(
    'groom_abtbtntitle',
    array(
        'settings'      => 'groom_abtbtntitle',
        'section'       => 'bridegroom_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('groom_abtbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('groom_abtbtnlink',
    array(
        'settings'      => 'groom_abtbtnlink',
        'section'       => 'bridegroom_area',
        'type'          => 'url',
        'label'         => __( 'Add link here', 'luzuk-premium' )
    )
);
lzCustomLable($wp_customize, 'groom_Social_label', 'bridegroom_area', 'Social Media Setting:');


// TWITTER
$wp_customize->add_setting('groom_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('groom_twitter',
    array(
        'settings'      => 'groom_twitter',
        'section'       => 'bridegroom_area',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'Luzuk' )
    )
);
// Instagram
$wp_customize->add_setting('groom_instagram', array('default' => 'https://www.instagram.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('groom_instagram',
    array(
        'settings'      => 'groom_instagram',
        'section'       => 'bridegroom_area',
        'type'          => 'url',
        'label'         => __( 'Instagram', 'Luzuk' )
    )
);
// FACEBOOK 
$wp_customize->add_setting('groom_facebook',  array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('groom_facebook',
    array(
        'settings'      => 'groom_facebook',
        'section'       => 'bridegroom_area',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'bridegroom_color_label', 'bridegroom_area', 'Colors Setting:');

addColorPalatOption($wp_customize, 'bridegroom_area_imgbordercolor1', 'bridegroom_area', 'Image Border color One', '#ead4d4');
addColorPalatOption($wp_customize, 'bridegroom_area_imgbordercolor2', 'bridegroom_area', 'Image Border color Two', '#fd7fad');

addColorPalatOption($wp_customize, 'bridegroom_area_wishlabelcolor', 'bridegroom_area', 'Wish Label Color', '#fee9f0');

addColorPalatOption($wp_customize, 'bridegroom_area_wishlabelbgcolor', 'bridegroom_area', 'Wish Label Background Color', '#ff80b0');

addColorPalatOption($wp_customize, 'bridegroom_area_wishlabelhovercolor', 'bridegroom_area', 'Wish Label Hover Color', '#fff');

addColorPalatOption($wp_customize, 'bridegroom_area_wishlabelhoverbordercolor', 'bridegroom_area', 'Wish Label Hover Border Color', '#fff');



addColorPalatOption($wp_customize, 'bridegroom_area_namecolor', 'bridegroom_area', 'Bride & Groom Name Color', '#000');

addColorPalatOption($wp_customize, 'bridegroom_area_parentnamecolor', 'bridegroom_area', 'Parent Name Color', '#625d5e');

addColorPalatOption($wp_customize, 'bridegroom_area_desgcolor', 'bridegroom_area', 'Designation Color', '#fd7fad');

addColorPalatOption($wp_customize, 'bridegroom_area_desgbgcolor', 'bridegroom_area', 'Designation Background Color', '#fff5f9');

addColorPalatOption($wp_customize, 'bridegroom_area_desgbordercolor', 'bridegroom_area', 'Designation Border Color', '#cdc4c6');

addColorPalatOption($wp_customize, 'bridegroom_area_desgborderhovercolor', 'bridegroom_area', 'Designation Border Hover Color', '#ff80b0');




addColorPalatOption($wp_customize, 'bridegroom_area_addcolor', 'bridegroom_area', 'Address Color', '#585455');

addColorPalatOption($wp_customize, 'bridegroom_area_aboutcolor', 'bridegroom_area', 'About Text Color', '#736f70');

addColorPalatOption($wp_customize, 'bridegroom_area_btntextcolor', 'bridegroom_area', 'Button Text Color', '#ff81b0');

addColorPalatOption($wp_customize, 'bridegroom_area_btntextbordercolor', 'bridegroom_area', 'Button Border Color', '#ffa3c7');

addColorPalatOption($wp_customize, 'bridegroom_area_btntexthovercolor', 'bridegroom_area', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'bridegroom_area_btntexthoverbgcolor', 'bridegroom_area', 'Button Background Hover Color', '#ff8cb7');

addColorPalatOption($wp_customize, 'bridegroom_area_socialcolor', 'bridegroom_area', 'Social Color', '#585455');

addColorPalatOption($wp_customize, 'bridegroom_area_socialhovercolor', 'bridegroom_area', 'Social Hover Color', '#ff80b0');

addColorPalatOption($wp_customize, 'bridegroom_area_socialhovertextcolor', 'bridegroom_area', 'Social Hover Text Color', '#fff');

addColorPalatOption($wp_customize, 'bridegroom_area_socialhovertextbgcolor', 'bridegroom_area', 'Social Hover Text Background Color', '#ff80b0');

addColorPalatOption($wp_customize, 'bridegroom_area_verticalbordercolor', 'bridegroom_area', 'Vertical Border Color', '#feafce');

addColorPalatOption($wp_customize, 'bridegroom_area_verticalborderanimationcolor', 'bridegroom_area', 'Vertical Animation Border Color', '#dc5187');

