<?php 
    $wp_customize->add_section(
        'shedule_area',
        array(
            'title' => __( 'Shedule Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'shedule_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'shedule_area_disable',
            array(
                'settings'      => 'shedule_area_disable',
                'section'       => 'shedule_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'shedule', 'shedule_area', $color='#fff5f9', get_template_directory_uri().'/images/default-gray.png', 'img');

addColorPalatOption($wp_customize, 'shedule_area_hlightbgcolor', 'shedule_area', 'Section Highlight Background Color', '#fff');

lzCustomLable($wp_customize, 'shedulearea_padding', 'shedule_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'shedule_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'shedule_areaTpadding',
    array(
        'settings'      => 'shedule_areaTpadding',
        'section'       => 'shedule_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'shedule_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'shedule_areaBpadding',
    array(
        'settings'      => 'shedule_areaBpadding',
        'section'       => 'shedule_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'luzuk_shedule_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'luzuk_shedule_subtitle_heading',
        array(
            'settings'      => 'luzuk_shedule_subtitle_heading',
            'section'       => 'shedule_area',
            'label'         => __( 'Section Title , Sub title', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'shedule_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Wedding schedule', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'shedule_title',
    array(
        'settings'      => 'shedule_title',
        'section'       => 'shedule_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'shedulearea_title_color', 'shedule_area', 'Heading Color', '#ff80b0');

$wp_customize->add_setting(
    'shedule_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '“ For every minute spent organizing, an hour is earned for every minute spent.”', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'shedule_subtitle',
    array(
        'settings'      => 'shedule_subtitle',
        'section'       => 'shedule_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'shedulearea_subtitle_color', 'shedule_area', 'Sub Heading Color', '#343434');

lzCustomLable($wp_customize, 'shedulearea_bride', 'shedule_area', 'Schedule Details:');

  $wp_customize->add_setting(
        'shedule_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'shedule_image_heading',
            array(
                'settings'      => 'shedule_image_heading',
                'section'       => 'shedule_area',
                'label'         => __( 'Box Image', 'luzuk-premium' ),
            )
        )
    );

      $wp_customize->add_setting(
        'shedule_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'shedule_image',
            array(
                'section' => 'shedule_area',
                'settings' => 'shedule_image',
                'description' => __('Recommended Image Size: 360X311px', 'luzuk-premium')
            )
        )
    );
      $wp_customize->add_setting(
        'shedule_date',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '14 - 02 - 2020', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'shedule_date',
        array(
            'settings'      => 'shedule_date',
            'section'       => 'shedule_area',
            'type'          => 'text',
            'label'         => __( 'Date', 'luzuk-premium' )
        )
    );

     $wp_customize->add_setting(
        'shedule_time',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '11 . 30 Am', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'shedule_time',
        array(
            'settings'      => 'shedule_time',
            'section'       => 'shedule_area',
            'type'          => 'text',
            'label'         => __( 'Time', 'luzuk-premium' )
        )
    );

     $wp_customize->add_setting(
        'shedule_venue',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'The Church of Arison', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'shedule_venue',
        array(
            'settings'      => 'shedule_venue',
            'section'       => 'shedule_area',
            'type'          => 'textarea',
            'label'         => __( 'Venue', 'luzuk-premium' )
        )
    );

    $wp_customize->add_setting(
        'shedule_add',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '350/30 Los angels CA', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'shedule_add',
        array(
            'settings'      => 'shedule_add',
            'section'       => 'shedule_area',
            'type'          => 'textarea',
            'label'         => __( 'Address', 'luzuk-premium' )
        )
    );

lzCustomLable($wp_customize, 'ws_button_displaylab', 'shedule_area', ' Button Display & Text Setting:');

// to show & hide another button
$wp_customize->add_setting( 'ws_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'ws_button_display', array( 'label' => 'Button Display', 'section' => 'shedule_area', 'settings' => 'ws_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'ws_abtbtntitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Location' )
    )
);
$wp_customize->add_control(
    'ws_abtbtntitle',
    array(
        'settings'      => 'ws_abtbtntitle',
        'section'       => 'shedule_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('ws_abtbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('ws_abtbtnlink',
    array(
        'settings'      => 'ws_abtbtnlink',
        'section'       => 'shedule_area',
        'type'          => 'url',
        'label'         => __( 'Add link here', 'luzuk-premium' )
    )
);


    $wp_customize->add_setting(
        'shedule_text',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '“Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum.”', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'shedule_text',
        array(
            'settings'      => 'shedule_text',
            'section'       => 'shedule_area',
            'type'          => 'textarea',
            'label'         => __( 'Text', 'luzuk-premium' )
        )
    );

lzCustomLable($wp_customize, 'ws_box_displaylab', 'shedule_area', ' Shedule Box Display Setting:');

// to show & hide another button
$wp_customize->add_setting( 'ws_box_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'ws_box_display', array( 'label' => 'Shedule Box Display', 'section' => 'shedule_area', 'settings' => 'ws_box_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Shedule Box', 'hide' => 'Hide Shedule Box', ), ) ); 

lzCustomLable($wp_customize, 'shedule_color_label', 'shedule_area', 'Colors Setting:');

addColorPalatOption($wp_customize, 'shedule_area_datecolor1', 'shedule_area', 'Date color One', '#fff');
addColorPalatOption($wp_customize, 'shedule_area_datecolor2', 'shedule_area', 'Date color Two', '#dc5187');

addColorPalatOption($wp_customize, 'shedule_area_datebgcolor', 'shedule_area', 'Date Box Background color', '#ff8bb8');
addColorPalatOption($wp_customize, 'shedule_area_time', 'shedule_area', 'Time color', '#585858');
addColorPalatOption($wp_customize, 'shedule_area_timeborder', 'shedule_area', 'Time Border color', '#cccccc');
addColorPalatOption($wp_customize, 'shedule_area_timehoverborder', 'shedule_area', 'Time Hover Border color', '#ff8bb8');

addColorPalatOption($wp_customize, 'shedule_area_venue', 'shedule_area', 'Venue color', '#575757');

addColorPalatOption($wp_customize, 'shedule_area_add', 'shedule_area', 'Address color', '#727272');

addColorPalatOption($wp_customize, 'shedule_area_button', 'shedule_area', 'Button color', '#fe90b7');

addColorPalatOption($wp_customize, 'shedule_area_text', 'shedule_area', 'Text color', '#727071');

addColorPalatOption($wp_customize, 'shedule_area_contentboxbg', 'shedule_area', 'Schedule area content box color', '#fff');