<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);
$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Title and description on Slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The Page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 1140X768', 'Luzuk' ),
		)
	)
);

$wp_customize->add_setting('slider_section_lblnote', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'slider_section_lblnote',
		array(
			'settings'		=> 'slider_section_lblnote',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'Use only one letter to split the name of the bride and groom. Example "&" ', 'Luzuk' ),
		)
	)
);

lzCustomLable($wp_customize, 'slider_area_opacity', 'slider_section', 'Set opacity For Slider image:');

$wp_customize->add_setting(
    'slider_opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.2', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'slider_opacity',
    array(
        'settings'      => 'slider_opacity',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Slider opacity', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Colors:');

addColorPalatOption($wp_customize, 'slider_titleColor', 'slider_section', 'Slider Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_titleseparatorborderColor', 'slider_section', 'Slider Title Separator Letter Border Color', '#c8c8c6');

addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'slider_section', 'Slider Sub Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_SubtitleprevnexticonColor', 'slider_section', 'Slider Next Prev Button Icon Color', '#fff');

//Animation
 lzCustomLable($wp_customize, 'slider_animationd', 'slider_section', 'Slider Animation Show / Hide Setting:');
// to show & hide another button
$wp_customize->add_setting( 'slider_animation_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'slider_animation_display', array( 'label' => 'Animation Display', 'section' => 'slider_section', 'settings' => 'slider_animation_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Animation', 'hide' => 'Hide Animation', ), ) ); 
// end to show & hide button
 addColorPalatOption($wp_customize, 'slider_animationiconColor', 'slider_section', 'Slide  Animation color', '#ff80b0');
